Subject: Re: [PATCH 2/2] powerpc: Suppress .eh_frame generation

From: Segher Boessenkool <[email-masked]>
Date: Thu, 5 Mar 2020 10:39:37 -0600

On Thu, Mar 05, 2020 at 08:05:30PM +0530, Naveen N. Rao wrote:
> GCC v8 defaults to enabling -fasynchronous-unwind-tables due to
> https://gcc.gnu.org/r259298, which results in .eh_frame section being
> generated. This results in additional disk usage by the build, as well
> as the kernel modules. Since the kernel has no use for this, this
> section is discarded.
> 
> Add -fno-asynchronous-unwind-tables to KBUILD_CFLAGS to suppress
> generation of .eh_frame section. Note that our VDSOs need .eh_frame, but
> are not affected by this change since our VDSO code are all in assembly.

That may change, but it is easy to change again for just the VDSOs.

> Reported-by: Rasmus Villemoes <[email-masked]>
> Signed-off-by: Naveen N. Rao <[email-masked]>

Reviewed-by: Segher Boessenkool <[email-masked]>

Thanks!

Segher